summaryrefslogtreecommitdiff
path: root/bin/common
diff options
context:
space:
mode:
authorRaymaekers Luca <raymaekers.luca@gmail.com>2023-04-17 19:02:39 +0200
committerRaymaekers Luca <raymaekers.luca@gmail.com>2023-04-17 19:02:39 +0200
commit42ac22bc02c4d889be0ca4166b6186fc929f627f (patch)
tree9018cead4eb8cced1ba500b185cd593d07ccdfe5 /bin/common
parente1254e11ae320848c2fc6ce329a33db107083b9f (diff)
added targit!
Diffstat (limited to 'bin/common')
-rwxr-xr-xbin/common/targit6
1 files changed, 6 insertions, 0 deletions
diff --git a/bin/common/targit b/bin/common/targit
new file mode 100755
index 0000000..ae046ac
--- /dev/null
+++ b/bin/common/targit
@@ -0,0 +1,6 @@
+#!/bin/sh
+pwd=$(pwd)
+root="$(git rev-parse --show-toplevel)"
+cd "$root" || exit 1
+file="$(basename "$root" | sed 's/^\.//').tar.gz"
+tar czf "$pwd/$file" $(git ls-files)